import { type CreateComputedOptions, type EnvironmentProviders, type Signal } from '@angular/core';
import { type Reducer, type UnknownAction } from '@reduxjs/toolkit';
import { type Api } from '@reduxjs/toolkit/query';
import { type StoreQueryConfig } from 'ngrx-rtk-query/core';
import * as i0 from "@angular/core";
export declare class ApiStore {
    readonly state: import("@angular/core").WritableSignal<Record<string, any>>;
    selectSignal: <K>(mapFn: (state: any) => K, options?: CreateComputedOptions<K>) => Signal<K>;
    dispatch: (action: UnknownAction, { reducerPath, reducer }: {
        reducerPath: string;
        reducer: Reducer<any>;
    }) => void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ApiStore, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ApiStore>;
}
export declare function provideNoopStoreApi(api: Api<any, Record<string, any>, string, string, any>, { setupListeners }?: StoreQueryConfig): EnvironmentProviders;
